%define name	eid-mw
%define	release	%mkrel 1
%define version 4.4.7
%define major 0

Summary:	Middleware for the Belgium eID card
Summary(de):	Middleware für die belgische eID Karte
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	LGPL v3
Group:		Communications
URL:		http://eid.belgium.be/nl/je_eid_gebruiken/de_eid-middleware_installeren/linux/
Source0:	https://github.com/Fedict/eid-mw/releases/%{name}-%{version}.tar.xz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
#----------------------------------------
BuildRequires: 	libpcsclite-devel
BuildRequires: 	gtk+3-devel
BuildRequires:	libpthread-stubs
BuildRequires:	p11-kit-devel
BuildRequires:	openssl-devel
BuildRequires:	libxml2-devel
BuildRequires:	curl-devel
BuildRequires:	libproxy-devel
BuildRequires:	wayland-protocols-devel
BuildRequires:	libtool
#----------------------------------------
Requires:	pcsc-lite
Requires:	ccid
Obsoletes: 	%name < %version


%description
eID-Middleware is the official middleware for the usage of the Belgium eID Card.

#german
%description -l de
eID-Middleware ist die offizielle Middleware für die Nutzung der 
belgischen eID Karte.

%package -n eid-viewer
Summary:	eid-viewer enables you to inspect your Belgium eID card
Summary(de):	eid-viewer erlaubt es ihnen Ihre belgische eID Karte zu inspizieren.
Group:		Communications

%description -n eid-viewer
eID-Viewer is a graphical interface to the Belgian Electronic Identity Card
use it to view, print, save data from the Belgian electronic identity card.

%description -n eid-viewer -l de
eID-Viewer ist eine grafische Schnittstelle zur belgischen elektronischen 
Identitäskarte, nutzen Sie diese um Daten von der Karte anzusehen, zu drucken 
oder zu speichern.

%prep
%setup -q
autoreconf -i

%build
%configure2_5x

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# remove static libraries
rm -f %{buildroot}%{_libdir}/*.la
rm -f %{buildroot}%{_libdir}/*.a
# remove devel lib i think it is not needed
rm -f %{buildroot}%{_libdir}/*.so
# remove devel headers
rm -rf %{buildroot}/%{_includedir}
rm -rf %{buildroot}/%{_libdir}/pkgconfig

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus


%postun
%clean_menus


%files
%doc AUTHORS COPYING README.md
%defattr(-,root,root,-)
%{_sysconfdir}/xdg/autostart/beid-update-nssdb.desktop
%{_bindir}/about-eid-mw
%{_bindir}/beid-update-nssdb
/usr/lib/mozilla/pkcs11-modules/beidpkcs11.json
%{_libdir}/libbeidpkcs11.so.0*
%{_libdir}/pkcs11/beidpkcs11.so
/usr/lib/beid-askaccess
/usr/lib/beid-askpin
/usr/lib/beid-badpin
/usr/lib/beid-changepin
/usr/lib/beid-spr-askpin
/usr/lib/beid-spr-changepin
%{_datadir}/eid-mw/eidv4.xsd
%{_datadir}/eid-mw/trustdir/*.0
%{_datadir}/eid-mw/trustdir/*.pem
%{_datadir}/locale/*/LC_MESSAGES/dialogs-beid.mo
%{_datadir}/mozilla/extensions/*/belgiumeid@eid.belgium.be.xpi
%{_datadir}/p11-kit/modules/beid.module

%files -n eid-viewer
%defattr(-,root,root,-)
%{_bindir}/eid-viewer
%{_libdir}/libeidviewer.so.0*
%{_datadir}/applications/eid-viewer.desktop
%{_datadir}/glib-2.0/schemas/eid-viewer.gschema.xml
%{_iconsdir}/hicolor/*/apps/eid-viewer.png
%{_datadir}/locale/*/LC_MESSAGES/eid-viewer.mo


%changelog
* Mon Oct 29 2018 adrianomorselli <adrianomorselli> 4.4.7-1uplos2018
- update
